Bug 621967 - php-channel-symfony should depend on php-xml
Summary: php-channel-symfony should depend on php-xml
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: php-channel-symfony
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Christof Damian
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-06 16:24 UTC by Christopher Beland
Modified: 2010-08-06 16:56 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-08-06 16:56:28 UTC


Attachments (Terms of Use)

Description Christopher Beland 2010-08-06 16:24:24 UTC
Running "pear install symfony/symfony" results in the following error:

>>
symfony/symfony requires PHP extension "dom"
No valid packages found
install failed
<<

"yum install php-xml" cured this problem; php-channel-symfony should probably have a dependency on it.

Version: php-channel-symfony-1.3-1.fc12.noarch

Comment 1 Christof Damian 2010-08-06 16:56:28 UTC
(In reply to comment #0)
> Running "pear install symfony/symfony" results in the following error:
[...]
> 
> "yum install php-xml" cured this problem; php-channel-symfony should probably
> have a dependency on it.
> 
> Version: php-channel-symfony-1.3-1.fc12.noarch    

The problem is not that php-channel-symfony needs php-xml, but symfony does. If the package for symfony ( php-symfony-symfony https://bugzilla.redhat.com/show_bug.cgi?id=517191 ) ever passes the review it will have the dependency. 

If you install symfony directly with pear you have to deal with the dependencies yourself.


Note You need to log in before you can comment on or make changes to this bug.